Hello,

I use 5_1_RELEASE. I do not know what happened but now I get:

-su-2.05b# portupgrade -arR
/usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:325:in `deorigin': failed 
to convert nil into String (PkgDB::DBError)
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:918:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:917:in `each'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:917:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:909:in `each'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:909:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:931:in `sort_build'
from /usr/local/lib/ruby/site_ruby/1.6/pkgdb.rb:935:in `sort_build!'
from /usr/local/sbin/portupgrade:674:in `main'
from /usr/local/sbin/portupgrade:207:in `initialize'
from /usr/local/sbin/portupgrade:207:in `new'
from /usr/local/sbin/portupgrade:207:in `main'
from /usr/local/sbin/portupgrade:1846

Can someone tell how to fix it. I tried "pkgdb -uf" but it doesn't 
help.

Ivan

_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to